%define lcms2_major	2
%define libname		%mklibname lcms2_ %{lcms2_major}
%define devname		%mklibname -d lcms2

%define rel		2
%define subrel		1
# release candidate
%define relc		0

%if %{relc}
%define release		%mkrel 0.rc%{relc}.%{rel}
%define distname	%{name}-%{version}rc%{relc}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}
%endif

Name:		lcms2
Version:	2.5
Release:        %{release}
Summary:	Color Management Engine
License:	MIT
Group:		Graphics/Utilities
URL:		http://www.littlecms.com/
Source0:	http://www.littlecms.com/%{distname}.tar.gz
Patch0:		lcms2-2.5-CVE-2014-0459.patch
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	zlib-devel

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%files
%doc AUTHORS COPYING
%{_bindir}/jpgicc2
%{_bindir}/linkicc2
%{_bindir}/psicc2
%{_bindir}/tificc2
%{_bindir}/transicc2
%{_mandir}/man1/*

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Conflicts:	%{mklibname lcms2 2} < 2.2-2

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_libdir}/liblcms2.so.%{lcms2_major}*

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for LittleCMS
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 2.2-2

%description -n %{devname}
Development files for LittleCMS.

%files -n %{devname}
%doc doc/*.pdf
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%patch0 -p1 -b .CVE-2014-0459

%build
%configure2_5x \
	--disable-static \
	--program-suffix=2

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make 

%install
%makeinstall_std

# Remove .la files
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

install -D -m 644 include/lcms2.h %{buildroot}%{_includedir}/lcms2.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{_includedir}/lcms2_plugin.h


%changelog
* Tue Apr 22 2014 luigiwalser <luigiwalser> 2.5-2.1.mga4
+ Revision: 617408
- rediff patch from upstream openjdk to fix CVE-2014-0459

* Sat Oct 19 2013 umeabot <umeabot> 2.5-2.mga4
+ Revision: 530099
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 fwang <fwang> 2.5-1.mga4
+ Revision: 455876
- 2.5 final

* Sun Jun 16 2013 blino <blino> 2.5-0.rc1.1.mga4
+ Revision: 443804
- 2.5 rc1 (needed for ghostscript 9.07)

* Thu Jan 24 2013 fwang <fwang> 2.4-3.mga3
+ Revision: 391798
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 2.4-1.mga3
+ Revision: 294293
- new version 2.4

* Tue Jan 03 2012 fwang <fwang> 2.3-1.mga2
+ Revision: 189776
- new version 2.3

* Fri Dec 23 2011 fwang <fwang> 2.2-4.mga2
+ Revision: 186529
- rebuild for new libtiff

* Wed Jul 13 2011 mikala <mikala> 2.2-3.mga2
+ Revision: 123706
- Add missing group (mga #2137)

* Wed Jul 06 2011 wally <wally> 2.2-2.mga2
+ Revision: 119397
- fix libification
- clean .spec a bit

* Wed Jun 22 2011 mikala <mikala> 2.2-1.mga2
+ Revision: 112465
- imported package lcms2

